#include "iftun.h"

#include <stdio.h>
#include <unistd.h>


int main(int argc, char *argv[argc]) {
	if (argc != 2) {
		fprintf(stderr, "Utilisation : %s interface\n", argv[0]);
		return 1;
	}

	if (getuid() != 0) {
		fprintf(stderr, "%s doit être lancé en tant que superutilisateur.\n", argv[0]);
		return 1;
	}

	int tun = tun_alloc(argv[1]);
	fprintf(stderr, "Configurez l’interface puis appuyez sur <Entrée>... ");
	fflush(stderr);
	getchar();
	fprintf(stderr, "Démarrage.");
	copy(tun, 1);
	return 0;
}
